=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2007-03-10 23:01:45 +0000
+++ bzrlib/tests/__init__.py	2007-03-13 02:12:11 +0000
@@ -1634,8 +1634,10 @@
         self.failUnlessExists(path)
         # TODO: jam 20060427 Shouldn't this be 'rb'?
         f = file(path, 'r')
-        s = f.read()
-        f.close()
+        try:
+            s = f.read()
+        finally:
+            f.close()
         self.assertEqualDiff(content, s)
 
     def failUnlessExists(self, path):

=== modified file 'bzrlib/tests/intertree_implementations/test_compare.py'
--- bzrlib/tests/intertree_implementations/test_compare.py	2007-03-08 00:33:18 +0000
+++ bzrlib/tests/intertree_implementations/test_compare.py	2007-03-13 02:12:11 +0000
@@ -21,7 +21,6 @@
 
 from bzrlib import errors, tests, workingtree_4
 from bzrlib.osutils import file_kind, has_symlinks
-from bzrlib.tests import TestSkipped
 from bzrlib.tests.intertree_implementations import TestCaseWithTwoTrees
 
 # TODO: test the include_root option.
@@ -930,7 +929,7 @@
 
     def test_versioned_symlinks(self):
         if not has_symlinks():
-            raise TestSkipped("No symlink support")
+            raise tests.TestSkipped("No symlink support")
         tree1, tree2 = self.make_trees_with_symlinks()
         root_id = tree1.path2id('')
         tree1.lock_read()
@@ -956,7 +955,7 @@
 
     def test_versioned_symlinks_specific_files(self):
         if not has_symlinks():
-            raise TestSkipped("No symlink support")
+            raise tests.TestSkipped("No symlink support")
         tree1, tree2 = self.make_trees_with_symlinks()
         root_id = tree1.path2id('')
         tree1.lock_read()

=== modified file 'bzrlib/tests/test_dirstate.py'
--- bzrlib/tests/test_dirstate.py	2007-03-08 00:20:46 +0000
+++ bzrlib/tests/test_dirstate.py	2007-03-13 02:12:11 +0000
@@ -689,7 +689,7 @@
     def test_add_symlink_to_root_no_parents_all_data(self):
         # The most trivial addition of a symlink when there are no parents and
         # its in the root and all data about the file is supplied
-        # bzr yet don't have support for fake symlinks on windows
+        # bzr doesn't support fake symlinks on windows, yet.
         if not has_symlinks():
             raise TestSkipped("No symlink support")
         os.symlink('target', 'a link')

